#
# spec file for package pdfquirk
#
# Copyright (c) 2024 SUSE LLC
# Copyright (c) 2007-2011 Klaas Freitag <freitag@kde.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           pdfquirk
Version:        0.95
Release:        3.4
Summary:        App to create PDFs from images or scans
License:        GPL-3.0-only
Group:          Productivity/Office/Other
URL:            https://dragotin.github.io/quirksite
Source0:        https://github.com/dragotin/pdfquirk/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        pdfquirk_es.ts
BuildRequires:  extra-cmake-modules
BuildRequires:  update-desktop-files
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6Widgets)
Requires:       ImageMagick
Recommends:     deskew
Recommends:     sane-backends

%description
PDF Quirk helps to generate PDF files from images from storage
or directly from the scanner.

%prep
%autosetup -p1
# Update the spanish translation that came in after release
cp %{SOURCE1} resources/

%build

%cmake_qt6 -DUSE_QT6=yes
# First build the localization files and copy them to the resources directory
cmake --build build -- pdfquirk_lrelease
cp build/src/*.qm resources/
%{qt6_build}

%install
%{qt6_install}

%suse_update_desktop_file -r de.volle-kraft-voraus.pdfquirk Graphics Scanning

%files
%{_bindir}/pdfquirk
%{_datadir}/applications/de.volle-kraft-voraus.pdfquirk.desktop
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/metainfo/de.volle-kraft-voraus.pdfquirk.appdata.xml

%doc AUTHORS README.md
%license LICENSE

%changelog
* Thu Aug 29 2024 Antonio Larrosa <alarrosa@suse.com>
- Fix the build of the package by building the message files first
  and placing them where the rest of the build scripts expect them.
* Sun Feb 11 2024 Klaas Freitag <opensuse@freisturz.de>
- Build with Qt6 and proper build macros in the rpm
* Wed Jan  5 2022 Klaas Freitag <opensuse@freisturz.de>
- Fix Requires: Does not need img2pdf any more, but ImageMagick
* Wed Jan  5 2022 Klaas Freitag <opensuse@freisturz.de>
- Update to upstream version 0.95. Feature and bugfix release.
- Add spanish translation as new source. It was provided after the
  release of 0.95 and will go away with the next version of pdfquirk
* Wed Jan  6 2021 Klaas Freitag <opensuse@freisturz.de>
- Add the tarball again and set name properly.
* Wed Jan  6 2021 Klaas Freitag <opensuse@freisturz.de>
- Use a proper source link to github. Use %%autosetup.
* Mon Jun 29 2020 Klaas Freitag <opensuse@freisturz.de>
- Update to upstream version 0.93
  * Images can be reordered by drag and drop in the thumbnail view.
  * A couple of useful image manipulation actions were added to a
    context menu in the thumbnail view: Images can be flipped,
    rotated or deleted.
  * A few bug fixes and minor improvements make usage more easy and fun.
* Sun May 31 2020 Klaas Freitag <opensuse@freisturz.de>
- More cleanup of spec, removed rewrite of desktop file gen. name
* Sat May 30 2020 Klaas Freitag <opensuse@freisturz.de>
- Cleanup of spec with spec-cleaner. Desktop file fixes.
* Sun May 24 2020 Klaas Freitag <opensuse@freisturz.de>
- Update to version 0.91 with a few bug fixes and improvements.
* Thu May 21 2020 Klaas Freitag <opensuse@freisturz.de>
- First package of the first version.
